#ifndef GEOPIXELCABLE_H
#define GEOPIXELCABLE_H

#include "PixelGeoModel/GeoVPixelFactory.h"

class GeoPixelCable : public GeoVPixelFactory {
 public:
  virtual GeoVPhysVol* Build();
  double Thickness();
  double Length();
  void SetModuleNumber(int nm) {m_moduleNumber = nm;};
  int GetModuleNumber() {return m_moduleNumber;};
 private:
  //
  // ModuleNumber is going from 0 to Numberofmodules/2+1 for symmetry...
  // 0 is the central module, 6 is the one to the left/right
  int m_moduleNumber;
};



#endif
