#ifndef GEOPIXELLADDER_H
#define GEOPIXELLADDER_H

#include "PixelGeoModel/GeoVPixelFactory.h"
class GeoLogVol;
class GeoPixelSiCrystal;

class GeoPixelLadder : public GeoVPixelFactory {
 public:
  GeoPixelLadder(GeoPixelSiCrystal& theSensor);
  virtual GeoVPhysVol* Build();
  double Thickness();
 private:
  const GeoLogVol* theLadder;
  GeoPixelSiCrystal& m_theSensor;
};

#endif
