#ifndef GEOPIXELSICRYSTAL_H
#define GEOPIXELSICRYSTAL_H

#include "Identifier/Identifier.h"
#include "PixelGeoModel/GeoVPixelFactory.h"
class GeoLogVol;

namespace InDetDD {class SiDetectorDesign;}

class GeoPixelSiCrystal : public GeoVPixelFactory {
 public:
  GeoPixelSiCrystal(bool isBLayer);
  virtual GeoVPhysVol* Build();
  inline Identifier getID();
 private:
  Identifier _id;
  InDetDD::SiDetectorDesign* m_design;
  bool m_isBLayer;
};
//
// Add this method to store the ID in the factory. This is used by the
// module factory to pass it to the alignement class.
//
Identifier GeoPixelSiCrystal::getID() {return _id;}
#endif
