#-- start of make_header -----------------

#====================================
#  Library PixelGeoModel
#
#   Generated Tue Jul  4 08:23:12 2006  by jbendavid
#
#====================================

include ${CMTROOT}/src/Makefile.core

ifdef tag
CMTEXTRATAGS = $(tag)
else
tag       = $(CMTCONFIG)
endif

cmt_PixelGeoModel_has_no_target_tag = 1

#--------------------------------------------------------

ifdef cmt_PixelGeoModel_has_target_tag

tags      = $(tag),$(CMTEXTRATAGS),target_PixelGeoModel

PixelGeoModel_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_PixelGeoModel = /tmp/CMT_$(PixelGeoModel_tag)_PixelGeoModel.make$(cmt_lock_pid)
else
cmt_local_tagfile_PixelGeoModel = $(PixelGeoModel_tag)_PixelGeoModel.make
endif

else

tags      = $(tag),$(CMTEXTRATAGS)

PixelGeoModel_tag = $(tag)

ifdef READONLY
cmt_local_tagfile_PixelGeoModel = /tmp/CMT_$(PixelGeoModel_tag).make$(cmt_lock_pid)
else
cmt_local_tagfile_PixelGeoModel = $(PixelGeoModel_tag).make
endif

endif

-include $(cmt_local_tagfile_PixelGeoModel)

ifdef cmt_PixelGeoModel_has_target_tag

ifdef READONLY
cmt_final_setup_PixelGeoModel = /tmp/CMT_PixelGeoModel_PixelGeoModel_setup.make
cmt_local_PixelGeoModel_makefile = /tmp/CMT_PixelGeoModel$(cmt_lock_pid).make
else
cmt_final_setup_PixelGeoModel = $(bin)PixelGeoModel_PixelGeoModel_setup.make
cmt_local_PixelGeoModel_makefile = $(bin)PixelGeoModel.make
endif

else

ifdef READONLY
cmt_final_setup_PixelGeoModel = /tmp/CMT_PixelGeoModel_setup.make
cmt_local_PixelGeoModel_makefile = /tmp/CMT_PixelGeoModel$(cmt_lock_pid).make
else
cmt_final_setup_PixelGeoModel = $(bin)PixelGeoModel_setup.make
cmt_local_PixelGeoModel_makefile = $(bin)PixelGeoModel.make
endif

endif

ifdef READONLY
cmt_final_setup = /tmp/CMT_PixelGeoModel_setup.make
else
cmt_final_setup = $(bin)PixelGeoModel_setup.make
endif

PixelGeoModel ::


ifdef READONLY
PixelGeoModel ::
	@echo tags=$(tags)
	@echo cmt_local_tagfile=$(cmt_local_tagfile)
endif


dirs ::
	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi; \
	  /bin/rm -f checkuses

javadirs ::
	@if test ! -d $(javabin) ; then $(mkdir) -p $(javabin) ; fi

srcdirs ::
	@if test ! -d $(src) ; then $(mkdir) -p $(src) ; fi

help ::
	@echo 'PixelGeoModel'

#-- end of make_header ------------------
#-- start of libary_header ---------------

PixelGeoModellibname   = $(bin)$(library_prefix)PixelGeoModel$(library_suffix)
PixelGeoModellib       = $(PixelGeoModellibname).a
PixelGeoModelstamp     = $(bin)PixelGeoModel.stamp
PixelGeoModelshstamp   = $(bin)PixelGeoModel.shstamp

PixelGeoModel :: dirs  PixelGeoModelLIB
	@/bin/echo "------> PixelGeoModel ok"

#-- end of libary_header ----------------
#-- start of libary ----------------------

PixelGeoModelLIB :: $(PixelGeoModellib) $(PixelGeoModelshstamp)
	@/bin/echo "------> PixelGeoModel : library ok"

$(PixelGeoModellib) :: $(bin)GeoPixelBarrel.o $(bin)GeoPixelCable.o $(bin)GeoPixelChip.o $(bin)GeoPixelDisk.o $(bin)GeoPixelDiskSupports.o $(bin)GeoPixelECCable.o $(bin)GeoPixelEndCap.o $(bin)GeoPixelEnvelope.o $(bin)GeoPixelHybrid.o $(bin)GeoPixelLadder.o $(bin)GeoPixelLadderStruct.o $(bin)GeoPixelLayer.o $(bin)GeoPixelModule.o $(bin)GeoPixelPosi.o $(bin)GeoPixelServices.o $(bin)GeoPixelSiCrystal.o $(bin)GeoPixelSubDisk.o $(bin)GeoPixelTrapTmt.o $(bin)GeoPixelTubeCables.o $(bin)GeoPixelTubeOmega.o $(bin)GeoVPixelFactory.o $(bin)OraclePixGeoManager.o $(bin)PixelDetectorDC1DC2.o $(bin)PixelDetectorFactory.o $(bin)PixelDetectorFactoryDC2.o $(bin)PixelDetectorTool.o $(bin)PixelGeometryManager.o $(bin)PixelSwitches.o $(bin)GeoPixelBcm.o $(bin)GeoPixelBcmWall.o $(bin)PixelGeoModel_entries.o $(bin)PixelGeoModel_load.o
	$(lib_echo) library
	$(lib_silent) cd $(bin); \
	  $(ar) $(PixelGeoModellib) $?
	$(lib_silent) $(ranlib) $(PixelGeoModellib)
	$(lib_silent) cat /dev/null >$(PixelGeoModelstamp)

#------------------------------------------------------------------
#  Future improvement? to empty the object files after
#  storing in the library
#
##	  for f in $?; do \
##	    rm $${f}; touch $${f}; \
##	  done
#------------------------------------------------------------------

#
# We add one level of dependency upon the true shared library 
# (rather than simply upon the stamp file)
# this is for cases where the shared library has not been built
# while the stamp was created (error??) 
#

$(PixelGeoModellibname).$(shlibsuffix) :: $(PixelGeoModellib) requirements $(use_requirements) $(PixelGeoModelstamps)
	$(lib_silent) cd $(bin); QUIET=$(QUIET); $(make_shlib) "$(tags)" PixelGeoModel $(PixelGeoModel_shlibflags)

$(PixelGeoModelshstamp) :: $(PixelGeoModellibname).$(shlibsuffix)
	@if test -f $(PixelGeoModellibname).$(shlibsuffix) ; then cat /dev/null >$(PixelGeoModelshstamp) ; fi

PixelGeoModelclean ::
	$(cleanup_echo) objects
	$(cleanup_silent) cd $(bin); /bin/rm -f $(bin)GeoPixelBarrel.o $(bin)GeoPixelCable.o $(bin)GeoPixelChip.o $(bin)GeoPixelDisk.o $(bin)GeoPixelDiskSupports.o $(bin)GeoPixelECCable.o $(bin)GeoPixelEndCap.o $(bin)GeoPixelEnvelope.o $(bin)GeoPixelHybrid.o $(bin)GeoPixelLadder.o $(bin)GeoPixelLadderStruct.o $(bin)GeoPixelLayer.o $(bin)GeoPixelModule.o $(bin)GeoPixelPosi.o $(bin)GeoPixelServices.o $(bin)GeoPixelSiCrystal.o $(bin)GeoPixelSubDisk.o $(bin)GeoPixelTrapTmt.o $(bin)GeoPixelTubeCables.o $(bin)GeoPixelTubeOmega.o $(bin)GeoVPixelFactory.o $(bin)OraclePixGeoManager.o $(bin)PixelDetectorDC1DC2.o $(bin)PixelDetectorFactory.o $(bin)PixelDetectorFactoryDC2.o $(bin)PixelDetectorTool.o $(bin)PixelGeometryManager.o $(bin)PixelSwitches.o $(bin)GeoPixelBcm.o $(bin)GeoPixelBcmWall.o $(bin)PixelGeoModel_entries.o $(bin)PixelGeoModel_load.o

#-----------------------------------------------------------------
#
#  New section for automatic installation
#
#-----------------------------------------------------------------

install_dir = ${CMTINSTALLAREA}/$(tag)/lib
PixelGeoModelinstallname = $(library_prefix)PixelGeoModel$(library_suffix).$(shlibsuffix)

PixelGeoModel :: PixelGeoModelinstall

install :: PixelGeoModelinstall

PixelGeoModelinstall :: $(install_dir)/$(PixelGeoModelinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then\
	  echo "installation done"; \
	fi

$(install_dir)/$(PixelGeoModelinstallname) :: $(bin)$(PixelGeoModelinstallname)
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_install_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(PixelGeoModelinstallname)" \
	    -out "$(install_dir)" \
	    -cmd "$(cmt_installarea_command)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi

##PixelGeoModelclean :: PixelGeoModeluninstall

uninstall :: PixelGeoModeluninstall

PixelGeoModeluninstall ::
	@if test ! "${CMTINSTALLAREA}" = ""; then \
	  $(cmt_uninstall_action) \
	    -source "`(cd $(bin); pwd)`" \
	    -name "$(PixelGeoModelinstallname)" \
	    -out "$(install_dir)" \
	    -cmtpath "$($(package)_cmtpath)" ; \
	fi


#-- end of libary -----------------------
#-- start of dependency ------------------

$(bin)PixelGeoModel_dependencies.make :: dirs

ifndef QUICK
$(bin)PixelGeoModel_dependencies.make :: $(src)*.cxx $(src)components/*.cxx  requirements $(use_requirements) $(cmt_final_setup_PixelGeoModel)
	@echo "------> (PixelGeoModel.make) Rebuilding $@"; \
	  args=`echo $? | sed -e "s#requirements.*##"`; \
	  $(build_dependencies) PixelGeoModel -all_sources $${args}
endif

#$(PixelGeoModel_dependencies)

-include $(bin)PixelGeoModel_dependencies.make

#-- end of dependency -------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelBarrel.o : $(GeoPixelBarrel_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelBarrel.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelBarrel_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelBarrel_cppflags) $(GeoPixelBarrel_cxx_cppflags)  $(src)GeoPixelBarrel.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelCable.o : $(GeoPixelCable_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelCable.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelCable_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelCable_cppflags) $(GeoPixelCable_cxx_cppflags)  $(src)GeoPixelCable.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelChip.o : $(GeoPixelChip_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelChip.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelChip_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelChip_cppflags) $(GeoPixelChip_cxx_cppflags)  $(src)GeoPixelChip.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelDisk.o : $(GeoPixelDisk_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelDisk.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelDisk_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelDisk_cppflags) $(GeoPixelDisk_cxx_cppflags)  $(src)GeoPixelDisk.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelDiskSupports.o : $(GeoPixelDiskSupports_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelDiskSupports.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelDiskSupports_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelDiskSupports_cppflags) $(GeoPixelDiskSupports_cxx_cppflags)  $(src)GeoPixelDiskSupports.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelECCable.o : $(GeoPixelECCable_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelECCable.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelECCable_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelECCable_cppflags) $(GeoPixelECCable_cxx_cppflags)  $(src)GeoPixelECCable.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelEndCap.o : $(GeoPixelEndCap_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelEndCap.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelEndCap_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelEndCap_cppflags) $(GeoPixelEndCap_cxx_cppflags)  $(src)GeoPixelEndCap.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelEnvelope.o : $(GeoPixelEnvelope_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelEnvelope.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelEnvelope_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelEnvelope_cppflags) $(GeoPixelEnvelope_cxx_cppflags)  $(src)GeoPixelEnvelope.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelHybrid.o : $(GeoPixelHybrid_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelHybrid.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelHybrid_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelHybrid_cppflags) $(GeoPixelHybrid_cxx_cppflags)  $(src)GeoPixelHybrid.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelLadder.o : $(GeoPixelLadder_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelLadder.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelLadder_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelLadder_cppflags) $(GeoPixelLadder_cxx_cppflags)  $(src)GeoPixelLadder.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelLadderStruct.o : $(GeoPixelLadderStruct_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelLadderStruct.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelLadderStruct_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelLadderStruct_cppflags) $(GeoPixelLadderStruct_cxx_cppflags)  $(src)GeoPixelLadderStruct.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelLayer.o : $(GeoPixelLayer_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelLayer.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelLayer_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelLayer_cppflags) $(GeoPixelLayer_cxx_cppflags)  $(src)GeoPixelLayer.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelModule.o : $(GeoPixelModule_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelModule.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelModule_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelModule_cppflags) $(GeoPixelModule_cxx_cppflags)  $(src)GeoPixelModule.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelPosi.o : $(GeoPixelPosi_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelPosi.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelPosi_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelPosi_cppflags) $(GeoPixelPosi_cxx_cppflags)  $(src)GeoPixelPosi.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelServices.o : $(GeoPixelServices_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelServices.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelServices_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelServices_cppflags) $(GeoPixelServices_cxx_cppflags)  $(src)GeoPixelServices.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelSiCrystal.o : $(GeoPixelSiCrystal_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelSiCrystal.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelSiCrystal_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelSiCrystal_cppflags) $(GeoPixelSiCrystal_cxx_cppflags)  $(src)GeoPixelSiCrystal.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelSubDisk.o : $(GeoPixelSubDisk_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelSubDisk.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelSubDisk_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelSubDisk_cppflags) $(GeoPixelSubDisk_cxx_cppflags)  $(src)GeoPixelSubDisk.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelTrapTmt.o : $(GeoPixelTrapTmt_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelTrapTmt.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelTrapTmt_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelTrapTmt_cppflags) $(GeoPixelTrapTmt_cxx_cppflags)  $(src)GeoPixelTrapTmt.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelTubeCables.o : $(GeoPixelTubeCables_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelTubeCables.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelTubeCables_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelTubeCables_cppflags) $(GeoPixelTubeCables_cxx_cppflags)  $(src)GeoPixelTubeCables.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelTubeOmega.o : $(GeoPixelTubeOmega_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelTubeOmega.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelTubeOmega_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelTubeOmega_cppflags) $(GeoPixelTubeOmega_cxx_cppflags)  $(src)GeoPixelTubeOmega.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoVPixelFactory.o : $(GeoVPixelFactory_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoVPixelFactory.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoVPixelFactory_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoVPixelFactory_cppflags) $(GeoVPixelFactory_cxx_cppflags)  $(src)GeoVPixelFactory.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)OraclePixGeoManager.o : $(OraclePixGeoManager_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o OraclePixGeoManager.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(OraclePixGeoManager_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(OraclePixGeoManager_cppflags) $(OraclePixGeoManager_cxx_cppflags)  $(src)OraclePixGeoManager.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PixelDetectorDC1DC2.o : $(PixelDetectorDC1DC2_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelDetectorDC1DC2.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(PixelDetectorDC1DC2_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(PixelDetectorDC1DC2_cppflags) $(PixelDetectorDC1DC2_cxx_cppflags)  $(src)PixelDetectorDC1DC2.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PixelDetectorFactory.o : $(PixelDetectorFactory_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelDetectorFactory.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(PixelDetectorFactory_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(PixelDetectorFactory_cppflags) $(PixelDetectorFactory_cxx_cppflags)  $(src)PixelDetectorFactory.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PixelDetectorFactoryDC2.o : $(PixelDetectorFactoryDC2_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelDetectorFactoryDC2.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(PixelDetectorFactoryDC2_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(PixelDetectorFactoryDC2_cppflags) $(PixelDetectorFactoryDC2_cxx_cppflags)  $(src)PixelDetectorFactoryDC2.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PixelDetectorTool.o : $(PixelDetectorTool_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelDetectorTool.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(PixelDetectorTool_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(PixelDetectorTool_cppflags) $(PixelDetectorTool_cxx_cppflags)  $(src)PixelDetectorTool.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PixelGeometryManager.o : $(PixelGeometryManager_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelGeometryManager.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(PixelGeometryManager_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(PixelGeometryManager_cppflags) $(PixelGeometryManager_cxx_cppflags)  $(src)PixelGeometryManager.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PixelSwitches.o : $(PixelSwitches_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelSwitches.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(PixelSwitches_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(PixelSwitches_cppflags) $(PixelSwitches_cxx_cppflags)  $(src)PixelSwitches.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelBcm.o : $(GeoPixelBcm_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelBcm.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelBcm_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelBcm_cppflags) $(GeoPixelBcm_cxx_cppflags)  $(src)GeoPixelBcm.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)GeoPixelBcmWall.o : $(GeoPixelBcmWall_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o GeoPixelBcmWall.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(GeoPixelBcmWall_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(GeoPixelBcmWall_cppflags) $(GeoPixelBcmWall_cxx_cppflags)  $(src)GeoPixelBcmWall.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PixelGeoModel_entries.o : $(PixelGeoModel_entries_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelGeoModel_entries.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(PixelGeoModel_entries_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(PixelGeoModel_entries_cppflags) $(PixelGeoModel_entries_cxx_cppflags) -I../src/components $(src)components/PixelGeoModel_entries.cxx

#-- end of cpp_library ------------------
#-- start of cpp_library -----------------

$(bin)PixelGeoModel_load.o : $(PixelGeoModel_load_cxx_dependencies)
	$(cpp_echo) $@
	$(cpp_silent) cd $(bin); $(cppcomp) -o PixelGeoModel_load.o $(use_pp_cppflags) $(PixelGeoModel_pp_cppflags) $(lib_PixelGeoModel_pp_cppflags) $(PixelGeoModel_load_pp_cppflags) $(use_cppflags) $(PixelGeoModel_cppflags) $(lib_PixelGeoModel_cppflags) $(PixelGeoModel_load_cppflags) $(PixelGeoModel_load_cxx_cppflags) -I../src/components $(src)components/PixelGeoModel_load.cxx

#-- end of cpp_library ------------------
#-- start of cleanup_header --------------

clean :: PixelGeoModelclean
	@cd .

.DEFAULT::
	@echo Using default action for $@

PixelGeoModelclean ::
#-- end of cleanup_header ---------------
#-- start of cleanup_library -------------
	$(cleanup_echo) library
	-$(cleanup_silent) cd $(bin); /bin/rm -f $(library_prefix)PixelGeoModel$(library_suffix).a $(library_prefix)PixelGeoModel$(library_suffix).s? PixelGeoModel.stamp PixelGeoModel.shstamp
#-- end of cleanup_library ---------------

