#include "PixelGeoModel/GeoVPixelFactory.h"

using InDetDD::PixelDetectorManager;

PixelDetectorManager * GeoVPixelFactory::DDmgr = 0;

GeoVPixelFactory::GeoVPixelFactory() :   
  m_epsilon(0.0001)
 {
  gmt_mgr = PixelGeometryManager::GetPointer();
  mat_mgr = gmt_mgr->getMaterialManager();
}

GeoVPixelFactory::~GeoVPixelFactory()
{}


void GeoVPixelFactory::SetDDMgr(PixelDetectorManager* mgr) {
  DDmgr = mgr;
}
